Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfGradientStyleType

    java.lang.Object
      java.lang.Enum<OdfGradientStyleType>
          org.odftoolkit.odfdom.dom.type.draw.OdfGradientStyleType

All Implemented Interfaces:
  Serializable, Comparable<OdfGradientStyleType>

    public enum OdfGradientStyleType

extends Enum<OdfGradientStyleType>

DOM implementation of OpenDocument attribute draw:style.

Enum Constant Summary
`AXIAL`
`ELLIPSOID`
`LINEAR`
`RADIAL`
`RECTANGULAR`
`SQUARE`

Method Summary
`static OdfGradientStyleType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfGradientStyleType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfGradientStyleType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfGradientStyleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SQUARE

    public static final OdfGradientStyleType SQUARE

### ELLIPSOID

    public static final OdfGradientStyleType ELLIPSOID

### RADIAL

    public static final OdfGradientStyleType RADIAL

### LINEAR

    public static final OdfGradientStyleType LINEAR

### RECTANGULAR

    public static final OdfGradientStyleType RECTANGULAR

### AXIAL

    public static final OdfGradientStyleType AXIAL

Method Detail

### values

    public static OdfGradientStyleType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfGradientStyleType c : OdfGradientStyleType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfGradientStyleType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfGradientStyleType>`
  Returns:
    return the name of OdfGradientStyleType

### toString

    public static String toString(OdfGradientStyleType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfGradientStyleType, see draw:style
  Returns:
    return the name of OdfGradientStyleType

### enumValueOf

    public static OdfGradientStyleType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfGradientStyleType
  Returns:
    return the constant of OdfGradientStyleType, see draw:style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.